﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Web.UI;

public partial class wizard_serversideValidation_Default : System.Web.UI.Page
{
    private void Page_Load(object sender, System.EventArgs e)
    {

    }

    protected void RadButton1_Click(object sender, EventArgs e)
    {
        if (RadNumericTextBox1.Value > 0)
        {
            RadButton button = (RadButton)sender;
            button.Enabled = false;
            for (int i = 0; i < RadNumericTextBox1.Value; i++)
            {
                RadWizardStep step = new RadWizardStep();
                step.ID = "Passenger" + (i + 1).ToString();
              
                RadWizard1.WizardSteps.Add(step);
            }
            RadWizardStep completeStep = new RadWizardStep();
            completeStep.ID = "Complete";
            RadWizard1.WizardSteps.Add(completeStep);

            RadWizard1.ActiveStepIndex = RadWizard1.WizardSteps[0].Index;
        }
    }

    protected void rbRemove_Click(object sender, EventArgs e)
    {
        RadWizardStep step = ((RadWizardStep)((RadButton)sender).Parent);
        RadWizard1.WizardSteps.Remove(step);
        RadWizard1.ActiveStepIndex = 0;
    }

    protected void RadWizard1_WizardStepCreated(object sender, Telerik.Web.UI.WizardStepCreatedEventArgs e)
    {
        if (e.RadWizardStep.ID == "Complete")
        {
            e.RadWizardStep.StepType = RadWizardStepType.Complete;
            Label label = new Label();
            label.Text = "Registration succeeded!";
            e.RadWizardStep.Controls.Add(label);
        }
        else
        {
            e.RadWizardStep.CssClass = "passenger";
            string[] labelTitle = new string[] { "First Name:", "Second Name:", "Third Name:" };

            for (int i = 0; i < labelTitle.Length; i++)
            {
                RadTextBox rcbFirstName = new RadTextBox();
                rcbFirstName.LabelWidth = Unit.Pixel(150);
                rcbFirstName.Width = Unit.Pixel(500);
                rcbFirstName.Label = labelTitle[i];
                e.RadWizardStep.Controls.Add(rcbFirstName);
                e.RadWizardStep.Controls.Add(new Literal() { Text = "<br />" });
            }

            RadButton rbRemove = new RadButton();
            rbRemove.Text = "Remove Person";
            rbRemove.Click += rbRemove_Click;
            e.RadWizardStep.Controls.Add(rbRemove);
        }
    }
    protected void RadWizard1_NextButtonClick(object sender, WizardEventArgs e)
    {
        RadWizard wiz = (RadWizard)sender;

        Response.Write(wiz.WizardSteps[e.CurrentStepIndex].ID);
        Response.Write(wiz.WizardSteps[e.NextStepIndex].ID);
    }
}